Added in [API level 1](https://developer.android.com/guide/topics/manifest/uses-sdk-element#ApiLevels)

# android.os

*** ** * ** ***

Provides basic operating system services, message passing, and inter-process communication on the device.

## Interfaces

|---|---|
| [CancellationSignal.OnCancelListener](https://developer.android.com/reference/android/os/CancellationSignal.OnCancelListener) | Listens for cancellation. |
| [FileUtils.ProgressListener](https://developer.android.com/reference/android/os/FileUtils.ProgressListener) | Listener that is called periodically as progress is made. |
| [Handler.Callback](https://developer.android.com/reference/android/os/Handler.Callback) | Callback interface you can use when instantiating a Handler to avoid having to implement your own subclass of Handler. |
| [IBinder](https://developer.android.com/reference/android/os/IBinder) | Base interface for a remotable object, the core part of a lightweight remote procedure call mechanism designed for high performance when performing in-process and cross-process calls. |
| [IBinder.DeathRecipient](https://developer.android.com/reference/android/os/IBinder.DeathRecipient) | Interface for receiving a callback when the process hosting an IBinder has gone away. |
| [IBinder.FrozenStateChangeCallback](https://developer.android.com/reference/android/os/IBinder.FrozenStateChangeCallback) | A callback interface for receiving frozen state change events. |
| [IInterface](https://developer.android.com/reference/android/os/IInterface) | Base class for Binder interfaces. |
| [MessageQueue.IdleHandler](https://developer.android.com/reference/android/os/MessageQueue.IdleHandler) | Callback interface for discovering when a thread is going to block waiting for more messages. |
| [MessageQueue.OnFileDescriptorEventListener](https://developer.android.com/reference/android/os/MessageQueue.OnFileDescriptorEventListener) | A listener which is invoked when file descriptor related events occur. |
| [OutcomeReceiver](https://developer.android.com/reference/android/os/OutcomeReceiver)\<R, E extends [Throwable](https://developer.android.com/reference/java/lang/Throwable)\> | Callback interface intended for use when an asynchronous operation may result in a failure. |
| [Parcelable](https://developer.android.com/reference/android/os/Parcelable) | Interface for classes whose instances can be written to and restored from a `https://developer.android.com/reference/android/os/Parcel`. |
| [Parcelable.ClassLoaderCreator](https://developer.android.com/reference/android/os/Parcelable.ClassLoaderCreator)\<T\> | Specialization of `https://developer.android.com/reference/android/os/Parcelable.Creator` that allows you to receive the ClassLoader the object is being created in. |
| [Parcelable.Creator](https://developer.android.com/reference/android/os/Parcelable.Creator)\<T\> | Interface that must be implemented and provided as a public CREATOR field that generates instances of your Parcelable class from a Parcel. |
| [ParcelFileDescriptor.OnCloseListener](https://developer.android.com/reference/android/os/ParcelFileDescriptor.OnCloseListener) | Callback indicating that a ParcelFileDescriptor has been closed. |
| [PowerManager.OnThermalHeadroomChangedListener](https://developer.android.com/reference/android/os/PowerManager.OnThermalHeadroomChangedListener) | Listener passed to `https://developer.android.com/reference/android/os/PowerManager#addThermalHeadroomListener(android.os.PowerManager.OnThermalHeadroomChangedListener)` and `https://developer.android.com/reference/android/os/PowerManager#removeThermalHeadroomListener(android.os.PowerManager.OnThermalHeadroomChangedListener)` to notify caller of Thermal headroom or thresholds changes. |
| [PowerManager.OnThermalStatusChangedListener](https://developer.android.com/reference/android/os/PowerManager.OnThermalStatusChangedListener) | Listener passed to `https://developer.android.com/reference/android/os/PowerManager#addThermalStatusListener(android.os.PowerManager.OnThermalStatusChangedListener)` and `https://developer.android.com/reference/android/os/PowerManager#removeThermalStatusListener(android.os.PowerManager.OnThermalStatusChangedListener)` to notify caller of thermal status has changed. |
| [PowerManager.WakeLockStateListener](https://developer.android.com/reference/android/os/PowerManager.WakeLockStateListener) | A listener interface to get notified when the wakelock is enabled/disabled. |
| [RecoverySystem.ProgressListener](https://developer.android.com/reference/android/os/RecoverySystem.ProgressListener) | Interface definition for a callback to be invoked regularly as verification proceeds. |
| [RemoteCallbackList.Builder.InterfaceDiedCallback](https://developer.android.com/reference/android/os/RemoteCallbackList.Builder.InterfaceDiedCallback)\<E extends [IInterface](https://developer.android.com/reference/android/os/IInterface)\> | For notifying when the process hosting a callback interface has died. |
| [StrictMode.OnThreadViolationListener](https://developer.android.com/reference/android/os/StrictMode.OnThreadViolationListener) | When #`https://developer.android.com/reference/android/os/StrictMode.ThreadPolicy.Builder#penaltyListener(java.util.concurrent.Executor,%20android.os.StrictMode.OnThreadViolationListener)` is enabled, the listener is called on the provided executor when a Thread violation occurs. |
| [StrictMode.OnVmViolationListener](https://developer.android.com/reference/android/os/StrictMode.OnVmViolationListener) | When #`https://developer.android.com/reference/android/os/StrictMode.VmPolicy.Builder#penaltyListener(java.util.concurrent.Executor,%20android.os.StrictMode.OnVmViolationListener)` is enabled, the listener is called on the provided executor when a VM violation occurs. |

## Classes

|---|---|
| [AsyncTask](https://developer.android.com/reference/android/os/AsyncTask)\<Params, Progress, Result\> | *This class was deprecated in API level 30. Use the standard `java.util.concurrent` or [Kotlin concurrency utilities](https://developer.android.com/topic/libraries/architecture/coroutines) instead.* |
| [BaseBundle](https://developer.android.com/reference/android/os/BaseBundle) | A mapping from String keys to values of various types. |
| [BatteryManager](https://developer.android.com/reference/android/os/BatteryManager) | The BatteryManager class contains strings and constants used for values in the `https://developer.android.com/reference/android/content/Intent#ACTION_BATTERY_CHANGED` Intent, and provides a method for querying battery and charging properties. |
| [Binder](https://developer.android.com/reference/android/os/Binder) | Base class for a remotable object, the core part of a lightweight remote procedure call mechanism defined by `https://developer.android.com/reference/android/os/IBinder`. |
| [BugreportManager](https://developer.android.com/reference/android/os/BugreportManager) | Class that provides a privileged API to capture and consume bugreports. |
| [BugreportManager.BugreportCallback](https://developer.android.com/reference/android/os/BugreportManager.BugreportCallback) | An interface describing the callback for bugreport progress and status. |
| [Build](https://developer.android.com/reference/android/os/Build) | Information about the current build, extracted from system properties. |
| [Build.Partition](https://developer.android.com/reference/android/os/Build.Partition) | Build information for a particular device partition. |
| [Build.VERSION](https://developer.android.com/reference/android/os/Build.VERSION) | Various version strings. |
| [Build.VERSION_CODES](https://developer.android.com/reference/android/os/Build.VERSION_CODES) | Enumeration of the currently known SDK version codes. |
| [Build.VERSION_CODES_FULL](https://developer.android.com/reference/android/os/Build.VERSION_CODES_FULL) | Enumeration of the currently known SDK major and minor version codes. |
| [Bundle](https://developer.android.com/reference/android/os/Bundle) | A mapping from String keys to various `https://developer.android.com/reference/android/os/Parcelable` values. |
| [CancellationSignal](https://developer.android.com/reference/android/os/CancellationSignal) | Provides the ability to cancel an operation in progress. |
| [CombinedVibration](https://developer.android.com/reference/android/os/CombinedVibration) | A CombinedVibration describes a combination of haptic effects to be performed by one or more `https://developer.android.com/reference/android/os/Vibrator`. |
| [CombinedVibration.ParallelCombination](https://developer.android.com/reference/android/os/CombinedVibration.ParallelCombination) | A combination of haptic effects that should be played in multiple vibrators in parallel. |
| [ConditionVariable](https://developer.android.com/reference/android/os/ConditionVariable) | Class that implements the condition variable locking paradigm. |
| [CountDownTimer](https://developer.android.com/reference/android/os/CountDownTimer) | Schedule a countdown until a time in the future, with regular notifications on intervals along the way. |
| [CpuHeadroomParams](https://developer.android.com/reference/android/os/CpuHeadroomParams) | Headroom request params used by `https://developer.android.com/reference/android/os/health/SystemHealthManager#getCpuHeadroom(android.os.CpuHeadroomParams)`. |
| [CpuHeadroomParams.Builder](https://developer.android.com/reference/android/os/CpuHeadroomParams.Builder) |   |
| [CpuUsageInfo](https://developer.android.com/reference/android/os/CpuUsageInfo) | CPU usage information per core. |
| [Debug](https://developer.android.com/reference/android/os/Debug) | Provides various debugging methods for Android applications, including tracing and allocation counts. |
| [Debug.InstructionCount](https://developer.android.com/reference/android/os/Debug.InstructionCount) | *This class was deprecated in API level 23. Instruction counting is no longer supported.* |
| [Debug.MemoryInfo](https://developer.android.com/reference/android/os/Debug.MemoryInfo) | This class is used to retrieved various statistics about the memory mappings for this process. |
| [DropBoxManager](https://developer.android.com/reference/android/os/DropBoxManager) | Enqueues chunks of data (from various sources -- application crashes, kernel log records, etc.). |
| [DropBoxManager.Entry](https://developer.android.com/reference/android/os/DropBoxManager.Entry) | A single entry retrieved from the drop box. |
| [Environment](https://developer.android.com/reference/android/os/Environment) | Provides access to environment variables. |
| [FileObserver](https://developer.android.com/reference/android/os/FileObserver) | Monitors files (using [inotify](http://en.wikipedia.org/wiki/Inotify)) to fire an event after files are accessed or changed by any process on the device (including this one). |
| [FileUtils](https://developer.android.com/reference/android/os/FileUtils) | Utility methods useful for working with files. |
| [GpuHeadroomParams](https://developer.android.com/reference/android/os/GpuHeadroomParams) | Headroom request params used by `https://developer.android.com/reference/android/os/health/SystemHealthManager#getGpuHeadroom(android.os.GpuHeadroomParams)`. |
| [GpuHeadroomParams.Builder](https://developer.android.com/reference/android/os/GpuHeadroomParams.Builder) |   |
| [Handler](https://developer.android.com/reference/android/os/Handler) | A Handler allows you to send and process `https://developer.android.com/reference/android/os/Message` and Runnable objects associated with a thread's `https://developer.android.com/reference/android/os/MessageQueue`. |
| [HandlerThread](https://developer.android.com/reference/android/os/HandlerThread) | A `https://developer.android.com/reference/java/lang/Thread` that has a `https://developer.android.com/reference/android/os/Looper`. |
| [HardwarePropertiesManager](https://developer.android.com/reference/android/os/HardwarePropertiesManager) | The HardwarePropertiesManager class provides a mechanism of accessing hardware state of a device: CPU, GPU and battery temperatures, CPU usage per core, fan speed, etc. |
| [LocaleList](https://developer.android.com/reference/android/os/LocaleList) | LocaleList is an immutable list of Locales, typically used to keep an ordered list of user preferences for locales. |
| [Looper](https://developer.android.com/reference/android/os/Looper) | Class used to run a message loop for a thread. |
| [MemoryFile](https://developer.android.com/reference/android/os/MemoryFile) | MemoryFile is a wrapper for `https://developer.android.com/reference/android/os/SharedMemory` which can optionally be set to purgeable. |
| [Message](https://developer.android.com/reference/android/os/Message) | Defines a message containing a description and arbitrary data object that can be sent to a `https://developer.android.com/reference/android/os/Handler`. |
| [MessageQueue](https://developer.android.com/reference/android/os/MessageQueue) | Low-level class holding the list of messages to be dispatched by a `https://developer.android.com/reference/android/os/Looper`. |
| [Messenger](https://developer.android.com/reference/android/os/Messenger) | Reference to a Handler, which others can use to send messages to it. |
| [Parcel](https://developer.android.com/reference/android/os/Parcel) | Container for a message (data and object references) that can be sent through an IBinder. |
| [ParcelFileDescriptor](https://developer.android.com/reference/android/os/ParcelFileDescriptor) | The FileDescriptor returned by `https://developer.android.com/reference/android/os/Parcel#readFileDescriptor()`, allowing you to close it when done with it. |
| [ParcelFileDescriptor.AutoCloseInputStream](https://developer.android.com/reference/android/os/ParcelFileDescriptor.AutoCloseInputStream) | An InputStream you can create on a ParcelFileDescriptor, which will take care of calling `https://developer.android.com/reference/android/os/ParcelFileDescriptor#close()` for you when the stream is closed. |
| [ParcelFileDescriptor.AutoCloseOutputStream](https://developer.android.com/reference/android/os/ParcelFileDescriptor.AutoCloseOutputStream) | An OutputStream you can create on a ParcelFileDescriptor, which will take care of calling `https://developer.android.com/reference/android/os/ParcelFileDescriptor#close()` for you when the stream is closed. |
| [ParcelUuid](https://developer.android.com/reference/android/os/ParcelUuid) | This class is a Parcelable wrapper around `https://developer.android.com/reference/java/util/UUID` which is an immutable representation of a 128-bit universally unique identifier. |
| [PatternMatcher](https://developer.android.com/reference/android/os/PatternMatcher) | A simple pattern matcher, which is safe to use on untrusted data: it does not provide full reg-exp support, only simple globbing that can not be used maliciously. |
| [PerformanceHintManager](https://developer.android.com/reference/android/os/PerformanceHintManager) | The PerformanceHintManager allows apps to send performance hint to system. |
| [PerformanceHintManager.Session](https://developer.android.com/reference/android/os/PerformanceHintManager.Session) | A Session represents a group of threads with an inter-related workload such that hints for their performance should be considered as a unit. |
| [PersistableBundle](https://developer.android.com/reference/android/os/PersistableBundle) | A mapping from String keys to values of various types. |
| [PowerManager](https://developer.android.com/reference/android/os/PowerManager) | This class lets you query and request control of aspects of the device's power state. |
| [PowerManager.WakeLock](https://developer.android.com/reference/android/os/PowerManager.WakeLock) | A wake lock is a mechanism to indicate that your application needs to have the device stay on. |
| [PowerMonitor](https://developer.android.com/reference/android/os/PowerMonitor) | A PowerMonitor represents either an ODPM rail (on-device power rail monitor) or a modeled energy consumer. |
| [PowerMonitorReadings](https://developer.android.com/reference/android/os/PowerMonitorReadings) | A collection of energy measurements from Power Monitors. |
| [Process](https://developer.android.com/reference/android/os/Process) | Tools for managing OS processes. |
| [ProfilingManager](https://developer.android.com/reference/android/os/ProfilingManager) | This class allows the caller to: - Request profiling and listen for results. |
| [ProfilingResult](https://developer.android.com/reference/android/os/ProfilingResult) | Encapsulates results of a single profiling request operation. |
| [ProfilingTrigger](https://developer.android.com/reference/android/os/ProfilingTrigger) | Encapsulates a single profiling trigger. |
| [ProfilingTrigger.Builder](https://developer.android.com/reference/android/os/ProfilingTrigger.Builder) | Builder class to create a `https://developer.android.com/reference/android/os/ProfilingTrigger` object. |
| [ProxyFileDescriptorCallback](https://developer.android.com/reference/android/os/ProxyFileDescriptorCallback) | Callback that handles file system requests from ProxyFileDescriptor. |
| [RecoverySystem](https://developer.android.com/reference/android/os/RecoverySystem) | RecoverySystem contains methods for interacting with the Android recovery system (the separate partition that can be used to install system updates, wipe user data, etc.) |
| [RemoteCallbackList](https://developer.android.com/reference/android/os/RemoteCallbackList)\<E extends [IInterface](https://developer.android.com/reference/android/os/IInterface)\> | Takes care of the grunt work of maintaining a list of remote interfaces, typically for the use of performing callbacks from a `https://developer.android.com/reference/android/app/Service` to its clients. |
| [RemoteCallbackList.Builder](https://developer.android.com/reference/android/os/RemoteCallbackList.Builder)\<E extends [IInterface](https://developer.android.com/reference/android/os/IInterface)\> | Builder for `https://developer.android.com/reference/android/os/RemoteCallbackList`. |
| [ResultReceiver](https://developer.android.com/reference/android/os/ResultReceiver) | Generic interface for receiving a callback result from someone. |
| [SecurityStateManager](https://developer.android.com/reference/android/os/SecurityStateManager) | SecurityStateManager provides the functionality to query the security status of the system and platform components. |
| [SharedMemory](https://developer.android.com/reference/android/os/SharedMemory) | SharedMemory enables the creation, mapping, and protection control over anonymous shared memory. |
| [StatFs](https://developer.android.com/reference/android/os/StatFs) | Retrieve overall information about the space on a filesystem. |
| [StrictMode](https://developer.android.com/reference/android/os/StrictMode) | StrictMode is a developer tool which detects things you might be doing by accident and brings them to your attention so you can fix them. |
| [StrictMode.ThreadPolicy](https://developer.android.com/reference/android/os/StrictMode.ThreadPolicy) | `https://developer.android.com/reference/android/os/StrictMode` policy applied to a certain thread. |
| [StrictMode.ThreadPolicy.Builder](https://developer.android.com/reference/android/os/StrictMode.ThreadPolicy.Builder) | Creates `https://developer.android.com/reference/android/os/StrictMode.ThreadPolicy` instances. |
| [StrictMode.VmPolicy](https://developer.android.com/reference/android/os/StrictMode.VmPolicy) | `https://developer.android.com/reference/android/os/StrictMode` policy applied to all threads in the virtual machine's process. |
| [StrictMode.VmPolicy.Builder](https://developer.android.com/reference/android/os/StrictMode.VmPolicy.Builder) | Creates `https://developer.android.com/reference/android/os/StrictMode.VmPolicy` instances. |
| [SystemClock](https://developer.android.com/reference/android/os/SystemClock) | Core timekeeping facilities. |
| [TestLooperManager](https://developer.android.com/reference/android/os/TestLooperManager) | Blocks a looper from executing any messages, and allows the holder of this object to control when and which messages get executed until it is released. |
| [TokenWatcher](https://developer.android.com/reference/android/os/TokenWatcher) | A TokenWatcher watches a collection of `https://developer.android.com/reference/android/os/IBinder`s. |
| [Trace](https://developer.android.com/reference/android/os/Trace) | Writes trace events to the system trace buffer. |
| [UserHandle](https://developer.android.com/reference/android/os/UserHandle) | Representation of a user on the device. |
| [UserManager](https://developer.android.com/reference/android/os/UserManager) | Manages users and user details on a multi-user system. |
| [VibrationAttributes](https://developer.android.com/reference/android/os/VibrationAttributes) | Encapsulates a collection of attributes describing information about a vibration. |
| [VibrationAttributes.Builder](https://developer.android.com/reference/android/os/VibrationAttributes.Builder) | Builder class for `https://developer.android.com/reference/android/os/VibrationAttributes` objects. |
| [VibrationEffect](https://developer.android.com/reference/android/os/VibrationEffect) | A VibrationEffect describes a haptic effect to be performed by a `https://developer.android.com/reference/android/os/Vibrator`. |
| [VibrationEffect.BasicEnvelopeBuilder](https://developer.android.com/reference/android/os/VibrationEffect.BasicEnvelopeBuilder) | A builder for waveform effects defined by their envelope, designed to provide a consistent haptic perception across devices with varying capabilities. |
| [VibrationEffect.Builder](https://developer.android.com/reference/android/os/VibrationEffect.Builder) | A builder for composing haptic effects by sequencing various haptic elements. |
| [VibrationEffect.Composition](https://developer.android.com/reference/android/os/VibrationEffect.Composition) | A composition of haptic elements that are combined to be playable as a single `https://developer.android.com/reference/android/os/VibrationEffect`. |
| [VibrationEffect.Envelope](https://developer.android.com/reference/android/os/VibrationEffect.Envelope) | Represents a haptic effect defined by an envelope, to be used within a `https://developer.android.com/reference/android/os/VibrationEffect.Builder`. |
| [VibrationEffect.Event](https://developer.android.com/reference/android/os/VibrationEffect.Event) | Represents a single event in a vibration composition with a start time relative to the start of the composition. |
| [VibrationEffect.Preset](https://developer.android.com/reference/android/os/VibrationEffect.Preset) | Represents a predefined haptics pattern, corresponding to `https://developer.android.com/`. |
| [VibrationEffect.WaveformEnvelopeBuilder](https://developer.android.com/reference/android/os/VibrationEffect.WaveformEnvelopeBuilder) | A builder for waveform effects described by its envelope. |
| [Vibrator](https://developer.android.com/reference/android/os/Vibrator) | Class that operates the vibrator on the device. |
| [VibratorManager](https://developer.android.com/reference/android/os/VibratorManager) | Provides access to all vibrators from the device, as well as the ability to run them in a synchronized fashion. |
| [WorkDuration](https://developer.android.com/reference/android/os/WorkDuration) | WorkDuration contains the measured time in nano seconds of the workload in each component, see `https://developer.android.com/reference/android/os/PerformanceHintManager.Session#reportActualWorkDuration(android.os.WorkDuration)`. |
| [WorkSource](https://developer.android.com/reference/android/os/WorkSource) | Describes the source of some work that may be done by someone else. |

## Enums

|---|---|
| [AsyncTask.Status](https://developer.android.com/reference/android/os/AsyncTask.Status) | Indicates the current status of the task. |

## Exceptions

|---|---|
| [BadParcelableException](https://developer.android.com/reference/android/os/BadParcelableException) | Exception thrown when a `https://developer.android.com/reference/android/os/Parcelable` is malformed or otherwise invalid. |
| [DeadObjectException](https://developer.android.com/reference/android/os/DeadObjectException) | The object you are calling has died, because its hosting process no longer exists, or there has been a low-level binder error. |
| [DeadSystemException](https://developer.android.com/reference/android/os/DeadSystemException) | The core Android system has died and is going through a runtime restart. |
| [FileUriExposedException](https://developer.android.com/reference/android/os/FileUriExposedException) | The exception that may be thrown when an application exposes a `file://` `https://developer.android.com/reference/android/net/Uri` to another app. |
| [LimitExceededException](https://developer.android.com/reference/android/os/LimitExceededException) | Indicates that the app has exceeded a limit set by the System. |
| [NetworkOnMainThreadException](https://developer.android.com/reference/android/os/NetworkOnMainThreadException) | The exception that is thrown when an application attempts to perform a networking operation on its main thread. |
| [OperationCanceledException](https://developer.android.com/reference/android/os/OperationCanceledException) | An exception type that is thrown when an operation in progress is canceled. |
| [ParcelFileDescriptor.FileDescriptorDetachedException](https://developer.android.com/reference/android/os/ParcelFileDescriptor.FileDescriptorDetachedException) | Exception that indicates that the file descriptor was detached. |
| [ParcelFormatException](https://developer.android.com/reference/android/os/ParcelFormatException) | The contents of a Parcel (usually during unmarshalling) does not contain the expected data. |
| [RemoteException](https://developer.android.com/reference/android/os/RemoteException) | Parent exception for all Binder remote-invocation errors Note: not all exceptions from binder services will be subclasses of this. |
| [TransactionTooLargeException](https://developer.android.com/reference/android/os/TransactionTooLargeException) | The Binder transaction failed because it was too large. |
| [UserManager.UserOperationException](https://developer.android.com/reference/android/os/UserManager.UserOperationException) | Thrown to indicate user operation failed. |
| [VibrationEffect.VibrationParseException](https://developer.android.com/reference/android/os/VibrationEffect.VibrationParseException) | Exception thrown when parsing a vibration XML fails due to invalid format or values. |

-

  ## Interfaces

  - [CancellationSignal.OnCancelListener](https://developer.android.com/reference/android/os/CancellationSignal.OnCancelListener)
  - [FileUtils.ProgressListener](https://developer.android.com/reference/android/os/FileUtils.ProgressListener)
  - [Handler.Callback](https://developer.android.com/reference/android/os/Handler.Callback)
  - [IBinder](https://developer.android.com/reference/android/os/IBinder)
  - [IBinder.DeathRecipient](https://developer.android.com/reference/android/os/IBinder.DeathRecipient)
  - [IBinder.FrozenStateChangeCallback](https://developer.android.com/reference/android/os/IBinder.FrozenStateChangeCallback)
  - [IInterface](https://developer.android.com/reference/android/os/IInterface)
  - [MessageQueue.IdleHandler](https://developer.android.com/reference/android/os/MessageQueue.IdleHandler)
  - [MessageQueue.OnFileDescriptorEventListener](https://developer.android.com/reference/android/os/MessageQueue.OnFileDescriptorEventListener)
  - [OutcomeReceiver](https://developer.android.com/reference/android/os/OutcomeReceiver)
  - [Parcelable](https://developer.android.com/reference/android/os/Parcelable)
  - [Parcelable.ClassLoaderCreator](https://developer.android.com/reference/android/os/Parcelable.ClassLoaderCreator)
  - [Parcelable.Creator](https://developer.android.com/reference/android/os/Parcelable.Creator)
  - [ParcelFileDescriptor.OnCloseListener](https://developer.android.com/reference/android/os/ParcelFileDescriptor.OnCloseListener)
  - [PowerManager.OnThermalHeadroomChangedListener](https://developer.android.com/reference/android/os/PowerManager.OnThermalHeadroomChangedListener)
  - [PowerManager.OnThermalStatusChangedListener](https://developer.android.com/reference/android/os/PowerManager.OnThermalStatusChangedListener)
  - [PowerManager.WakeLockStateListener](https://developer.android.com/reference/android/os/PowerManager.WakeLockStateListener)
  - [RecoverySystem.ProgressListener](https://developer.android.com/reference/android/os/RecoverySystem.ProgressListener)
  - [RemoteCallbackList.Builder.InterfaceDiedCallback](https://developer.android.com/reference/android/os/RemoteCallbackList.Builder.InterfaceDiedCallback)
  - [StrictMode.OnThreadViolationListener](https://developer.android.com/reference/android/os/StrictMode.OnThreadViolationListener)
  - [StrictMode.OnVmViolationListener](https://developer.android.com/reference/android/os/StrictMode.OnVmViolationListener)
-

  ## Classes

  - [AsyncTask](https://developer.android.com/reference/android/os/AsyncTask)
  - [BaseBundle](https://developer.android.com/reference/android/os/BaseBundle)
  - [BatteryManager](https://developer.android.com/reference/android/os/BatteryManager)
  - [Binder](https://developer.android.com/reference/android/os/Binder)
  - [BugreportManager](https://developer.android.com/reference/android/os/BugreportManager)
  - [BugreportManager.BugreportCallback](https://developer.android.com/reference/android/os/BugreportManager.BugreportCallback)
  - [Build](https://developer.android.com/reference/android/os/Build)
  - [Build.Partition](https://developer.android.com/reference/android/os/Build.Partition)
  - [Build.VERSION](https://developer.android.com/reference/android/os/Build.VERSION)
  - [Build.VERSION_CODES](https://developer.android.com/reference/android/os/Build.VERSION_CODES)
  - [Build.VERSION_CODES_FULL](https://developer.android.com/reference/android/os/Build.VERSION_CODES_FULL)
  - [Bundle](https://developer.android.com/reference/android/os/Bundle)
  - [CancellationSignal](https://developer.android.com/reference/android/os/CancellationSignal)
  - [CombinedVibration](https://developer.android.com/reference/android/os/CombinedVibration)
  - [CombinedVibration.ParallelCombination](https://developer.android.com/reference/android/os/CombinedVibration.ParallelCombination)
  - [ConditionVariable](https://developer.android.com/reference/android/os/ConditionVariable)
  - [CountDownTimer](https://developer.android.com/reference/android/os/CountDownTimer)
  - [CpuHeadroomParams](https://developer.android.com/reference/android/os/CpuHeadroomParams)
  - [CpuHeadroomParams.Builder](https://developer.android.com/reference/android/os/CpuHeadroomParams.Builder)
  - [CpuUsageInfo](https://developer.android.com/reference/android/os/CpuUsageInfo)
  - [Debug](https://developer.android.com/reference/android/os/Debug)
  - [Debug.InstructionCount](https://developer.android.com/reference/android/os/Debug.InstructionCount)
  - [Debug.MemoryInfo](https://developer.android.com/reference/android/os/Debug.MemoryInfo)
  - [DropBoxManager](https://developer.android.com/reference/android/os/DropBoxManager)
  - [DropBoxManager.Entry](https://developer.android.com/reference/android/os/DropBoxManager.Entry)
  - [Environment](https://developer.android.com/reference/android/os/Environment)
  - [FileObserver](https://developer.android.com/reference/android/os/FileObserver)
  - [FileUtils](https://developer.android.com/reference/android/os/FileUtils)
  - [GpuHeadroomParams](https://developer.android.com/reference/android/os/GpuHeadroomParams)
  - [GpuHeadroomParams.Builder](https://developer.android.com/reference/android/os/GpuHeadroomParams.Builder)
  - [Handler](https://developer.android.com/reference/android/os/Handler)
  - [HandlerThread](https://developer.android.com/reference/android/os/HandlerThread)
  - [HardwarePropertiesManager](https://developer.android.com/reference/android/os/HardwarePropertiesManager)
  - [LocaleList](https://developer.android.com/reference/android/os/LocaleList)
  - [Looper](https://developer.android.com/reference/android/os/Looper)
  - [MemoryFile](https://developer.android.com/reference/android/os/MemoryFile)
  - [Message](https://developer.android.com/reference/android/os/Message)
  - [MessageQueue](https://developer.android.com/reference/android/os/MessageQueue)
  - [Messenger](https://developer.android.com/reference/android/os/Messenger)
  - [Parcel](https://developer.android.com/reference/android/os/Parcel)
  - [ParcelFileDescriptor](https://developer.android.com/reference/android/os/ParcelFileDescriptor)
  - [ParcelFileDescriptor.AutoCloseInputStream](https://developer.android.com/reference/android/os/ParcelFileDescriptor.AutoCloseInputStream)
  - [ParcelFileDescriptor.AutoCloseOutputStream](https://developer.android.com/reference/android/os/ParcelFileDescriptor.AutoCloseOutputStream)
  - [ParcelUuid](https://developer.android.com/reference/android/os/ParcelUuid)
  - [PatternMatcher](https://developer.android.com/reference/android/os/PatternMatcher)
  - [PerformanceHintManager](https://developer.android.com/reference/android/os/PerformanceHintManager)
  - [PerformanceHintManager.Session](https://developer.android.com/reference/android/os/PerformanceHintManager.Session)
  - [PersistableBundle](https://developer.android.com/reference/android/os/PersistableBundle)
  - [PowerManager](https://developer.android.com/reference/android/os/PowerManager)
  - [PowerManager.WakeLock](https://developer.android.com/reference/android/os/PowerManager.WakeLock)
  - [PowerMonitor](https://developer.android.com/reference/android/os/PowerMonitor)
  - [PowerMonitorReadings](https://developer.android.com/reference/android/os/PowerMonitorReadings)
  - [Process](https://developer.android.com/reference/android/os/Process)
  - [ProfilingManager](https://developer.android.com/reference/android/os/ProfilingManager)
  - [ProfilingResult](https://developer.android.com/reference/android/os/ProfilingResult)
  - [ProfilingTrigger](https://developer.android.com/reference/android/os/ProfilingTrigger)
  - [ProfilingTrigger.Builder](https://developer.android.com/reference/android/os/ProfilingTrigger.Builder)
  - [ProxyFileDescriptorCallback](https://developer.android.com/reference/android/os/ProxyFileDescriptorCallback)
  - [RecoverySystem](https://developer.android.com/reference/android/os/RecoverySystem)
  - [RemoteCallbackList](https://developer.android.com/reference/android/os/RemoteCallbackList)
  - [RemoteCallbackList.Builder](https://developer.android.com/reference/android/os/RemoteCallbackList.Builder)
  - [ResultReceiver](https://developer.android.com/reference/android/os/ResultReceiver)
  - [SecurityStateManager](https://developer.android.com/reference/android/os/SecurityStateManager)
  - [SharedMemory](https://developer.android.com/reference/android/os/SharedMemory)
  - [StatFs](https://developer.android.com/reference/android/os/StatFs)
  - [StrictMode](https://developer.android.com/reference/android/os/StrictMode)
  - [StrictMode.ThreadPolicy](https://developer.android.com/reference/android/os/StrictMode.ThreadPolicy)
  - [StrictMode.ThreadPolicy.Builder](https://developer.android.com/reference/android/os/StrictMode.ThreadPolicy.Builder)
  - [StrictMode.VmPolicy](https://developer.android.com/reference/android/os/StrictMode.VmPolicy)
  - [StrictMode.VmPolicy.Builder](https://developer.android.com/reference/android/os/StrictMode.VmPolicy.Builder)
  - [SystemClock](https://developer.android.com/reference/android/os/SystemClock)
  - [TestLooperManager](https://developer.android.com/reference/android/os/TestLooperManager)
  - [TokenWatcher](https://developer.android.com/reference/android/os/TokenWatcher)
  - [Trace](https://developer.android.com/reference/android/os/Trace)
  - [UserHandle](https://developer.android.com/reference/android/os/UserHandle)
  - [UserManager](https://developer.android.com/reference/android/os/UserManager)
  - [VibrationAttributes](https://developer.android.com/reference/android/os/VibrationAttributes)
  - [VibrationAttributes.Builder](https://developer.android.com/reference/android/os/VibrationAttributes.Builder)
  - [VibrationEffect](https://developer.android.com/reference/android/os/VibrationEffect)
  - [VibrationEffect.BasicEnvelopeBuilder](https://developer.android.com/reference/android/os/VibrationEffect.BasicEnvelopeBuilder)
  - [VibrationEffect.Builder](https://developer.android.com/reference/android/os/VibrationEffect.Builder)
  - [VibrationEffect.Composition](https://developer.android.com/reference/android/os/VibrationEffect.Composition)
  - [VibrationEffect.Envelope](https://developer.android.com/reference/android/os/VibrationEffect.Envelope)
  - [VibrationEffect.Event](https://developer.android.com/reference/android/os/VibrationEffect.Event)
  - [VibrationEffect.Preset](https://developer.android.com/reference/android/os/VibrationEffect.Preset)
  - [VibrationEffect.WaveformEnvelopeBuilder](https://developer.android.com/reference/android/os/VibrationEffect.WaveformEnvelopeBuilder)
  - [Vibrator](https://developer.android.com/reference/android/os/Vibrator)
  - [VibratorManager](https://developer.android.com/reference/android/os/VibratorManager)
  - [WorkDuration](https://developer.android.com/reference/android/os/WorkDuration)
  - [WorkSource](https://developer.android.com/reference/android/os/WorkSource)
-

  ## Enums

  - [AsyncTask.Status](https://developer.android.com/reference/android/os/AsyncTask.Status)
-

  ## Exceptions

  - [BadParcelableException](https://developer.android.com/reference/android/os/BadParcelableException)
  - [DeadObjectException](https://developer.android.com/reference/android/os/DeadObjectException)
  - [DeadSystemException](https://developer.android.com/reference/android/os/DeadSystemException)
  - [FileUriExposedException](https://developer.android.com/reference/android/os/FileUriExposedException)
  - [LimitExceededException](https://developer.android.com/reference/android/os/LimitExceededException)
  - [NetworkOnMainThreadException](https://developer.android.com/reference/android/os/NetworkOnMainThreadException)
  - [OperationCanceledException](https://developer.android.com/reference/android/os/OperationCanceledException)
  - [ParcelFileDescriptor.FileDescriptorDetachedException](https://developer.android.com/reference/android/os/ParcelFileDescriptor.FileDescriptorDetachedException)
  - [ParcelFormatException](https://developer.android.com/reference/android/os/ParcelFormatException)
  - [RemoteException](https://developer.android.com/reference/android/os/RemoteException)
  - [TransactionTooLargeException](https://developer.android.com/reference/android/os/TransactionTooLargeException)
  - [UserManager.UserOperationException](https://developer.android.com/reference/android/os/UserManager.UserOperationException)
  - [VibrationEffect.VibrationParseException](https://developer.android.com/reference/android/os/VibrationEffect.VibrationParseException)